function [  maticePx ] = sjednoceni_matic(  maticeP,...
    maticePx, hlavni, vedlejsi )
%% Sjednocení matic přechodů na stejnou velikost
%
%vstup maticeP
%matice přechodů více sloupců
%
%vstup maticePx
%matice přrchodů méně sloupců
%
%vstup hlavní
%délka maticeP 
%
%vstup vedlejsi
%délka maticePx
%
%výstup maticePx
%kratší matice rozšířena na stejný počet sloupců
%
%
%výpočet středníí energie signálu 
%odstranění úseků, které nevyhovují
%
%vstup signál
%zvukový signál
%
%výstup zvuk
%zvukový signál upraven
%

for k = 1: hlavni
    if k ==1
      if (maticeP(5,k) ~= maticePx(5,k)) && (maticeP(5,k+1) == maticePx(5,k))
        maticexx = [[0; 1; 0; 0; maticeP(5,k)], [maticePx(:,k:vedlejsi)]];
        maticePx = maticexx;
        vedlejsi = vedlejsi +1;
      end
    elseif k < hlavni && k > 1 && (vedlejsi-k) >= 0
      if (maticeP(5,k) ~= maticePx(5,k)) && (maticeP(5,k+1) == maticePx(5,k))
        maticexx = [[maticePx(:,1:k-1)],  ...
            [0; 1; 0; 0; maticeP(5,k)], [maticePx(:,k:vedlejsi)]];
        maticePx = maticexx;
        maticePx(3,k-1) = maticePx(2,k-1);
        maticePx(2,k-1) = [0];
        vedlejsi = vedlejsi +1;
      end  
    elseif k < hlavni && k > 1 && (vedlejsi-k) < 0
        maticexx = [[maticePx(:,1:k-1)], [0; 1; 0; 0; maticeP(5,k)]];
        maticePx = maticexx;
        maticePx(3,k-1) = maticePx(2,k-1);
        maticePx(2,k-1) = [0];
        vedlejsi = vedlejsi +1;
    elseif k == hlavni && (vedlejsi-k) < 0 
      if (maticeP(5,k-1) == maticePx(5,k-1))
        maticexx = [[maticePx(:,1:k-1)], [0; 1; 0; 0; maticeP(5,k)]];
        maticePx = maticexx;
        maticePx(3,k-1) = maticePx(2,k-1);
        maticePx(2,k-1) = [0];
        vedlejsi = vedlejsi +1;
      end   
    end
end



